uk.gov.hmrc.ct.accounts

# AC12

###
Related Docs: object AC12 | package accounts

#### case class AC12(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Input with ValidatableBox[AccountsBoxRetriever with FilingAttributesBoxValueRetriever] with TurnoverValidation with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, TurnoverValidation, ValidatableBox[AccountsBoxRetriever with FilingAttributesBoxValueRetriever], ExtraValidation, Validators, Input, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC12
2. Serializable
3. Serializable
4. Product
5. Equals
6. TurnoverValidation
7. ValidatableBox
8. ExtraValidation
9. Validators
10. Input
11. CtOptionalInteger
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AC12(value: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### val accountEnd: (AccountsBoxRetriever) ⇒ AC4

7. #### val accountsStart: (AccountsBoxRetriever) ⇒ AC3

8. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def asInt: Option[Int]

    Definition Classes
      CtOptionalInteger

11. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

12. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

13. #### def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

14. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

15. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

16. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

18. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

21. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

22. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def getDaysInYear[BR <: BoxRetriever](boxRetriever: BR, start: (BR) ⇒ StartDate, end: (BR) ⇒ EndDate): Int

    Attributes
      protected
    Definition Classes
      TurnoverValidation

26. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

27. #### def id: String

    Definition Classes
      CtBoxIdentifier

28. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

29. #### def isFRS10x(boxRetriever: AccountsBoxRetriever): Boolean

    Attributes
      protected
    Definition Classes
      TurnoverValidation

30. #### def isFrs10xHmrcAbridgedReturnWithLongPoA[BR <: AccountsBoxRetriever with FilingAttributesBoxValueRetriever](start: (BR) ⇒ StartDate, end: (BR) ⇒ EndDate)(boxRetriever: BR): Boolean

    Attributes
      protected
    Definition Classes
      TurnoverValidation

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### def isPositive: Boolean

    Definition Classes
      CtOptionalInteger

33. #### def minus(other: Int): Int

    Definition Classes
      CtOptionalInteger

34. #### def minus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

35. #### def minus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

36. #### val name: String

    Definition Classes
      CtBoxIdentifier

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

39. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

40. #### final def notify(): Unit

    Definition Classes
      AnyRef

41. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

42. #### def orZero: Int

    Definition Classes
      CtOptionalInteger

43. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

44. #### def plus(other: Int): Int

    Definition Classes
      CtOptionalInteger

45. #### def plus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

46. #### def plus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

47. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

48. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

49. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

50. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

51. #### def validate(boxRetriever: AccountsBoxRetriever with FilingAttributesBoxValueRetriever): Set[CtValidation]

    Definition Classes
      AC12 → ValidatableBox

52. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

53. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

54. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

55. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

56. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

57. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

58. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

59. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

60. #### def validateCoHoTurnover(boxRetriever: AccountsBoxRetriever, start: (AccountsBoxRetriever) ⇒ StartDate, end: (AccountsBoxRetriever) ⇒ EndDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      TurnoverValidation

61. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

62. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

63. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

64. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

65. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

66. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

67. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

68. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

69. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

70. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

71. #### def validateHmrcTurnover[BR <: BoxRetriever](boxRetriever: BR, start: (BR) ⇒ StartDate, end: (BR) ⇒ EndDate, errorSuffix: String = ".hmrc.turnover", secondaryIncome: Int = 0)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      TurnoverValidation

72. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

73. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

74. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

75. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

76. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

77. #### def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

78. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

79. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

80. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

81. #### def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

82. #### def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

83. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

84. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

85. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

86. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

87. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

    Definition Classes
      ExtraValidation

88. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

89. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

90. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

91. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

92. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

93. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

94. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

95. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

96. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

97. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

98. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

99. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

    Definition Classes
      ValidatableBox

100. #### def validateTurnoverRangeWithMinAndMaxMessages(box: OptionalIntIdBox, message: String, min: Int, max: Int, secondaryIncome: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       TurnoverValidation

101. #### def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

102. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

103. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

104. #### val value: Option[Int]

     Definition Classes
       AC12 → CtValue

105. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

106. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

107. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TurnoverValidation

### Inherited from ValidatableBox[AccountsBoxRetriever with FilingAttributesBoxValueRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped